package com.miaxis.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
/**
 * 用户对象 user_info
 *
 * @author miaxis
 * @date 2021-01-11
 */
@Data
@TableName("user_info")
@ApiModel(value = "UserInfo", description = "用户对象 user_info")
public class UserInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 性别 1：男性 2：女性 */
    @Excel(name = "性别 1：男性 2：女性")
    @TableField("sex")
    @ApiModelProperty(value = "性别 1：男性 2：女性")
    private Integer sex;

    /** 身份证明号码 1：身份证号，2：护照，3：军官证，4：其他 */
    @Excel(name = "身份证明号码 1：身份证号，2：护照，3：军官证，4：其他")
    @TableField("cardtype")
    @ApiModelProperty(value = "身份证明号码 1：身份证号，2：护照，3：军官证，4：其他")
    private Integer cardtype;

    /** 身份证明号码 */
    @Excel(name = "身份证明号码")
    @TableField("idcard")
    @ApiModelProperty(value = "身份证明号码")
    private String idcard;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出生日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("birthday")
    @ApiModelProperty(value = "出生日期")
    private Date birthday;

    /** 手机号码 */
    @Excel(name = "手机号码")
    @TableField("phone")
    @ApiModelProperty(value = "手机号码")
    private String phone;


    /** 微信号码 */
    @Excel(name = "微信号码")
    @TableField("wechar")
    @ApiModelProperty(value = "微信号码")
    private String wechar;

    /** 小程序头像地址 */
    @Excel(name = "小程序头像地址")
    @TableField("head_image")
    @ApiModelProperty(value = "小程序头像地址")
    private String headImage;

    /** 小程序昵称 */
    @Excel(name = "小程序昵称")
    @TableField("nick_name")
    @ApiModelProperty(value = "小程序昵称")
    private String nickName;


    /** 微信openid */
    @Excel(name = "微信openid")
    @TableField("openid")
    @ApiModelProperty(value = "微信openid")
    private String openid;

    /** 业务类型  0:初领 1:增领 9:其他 */
    @Excel(name = "业务类型  0:初领 1:增领 9:其他")
    @TableField("busitype")
    @ApiModelProperty(value = "业务类型  0:初领 1:增领 9:其他")
    private Integer busitype;


    /** 0 启用 1禁用 */
    @Excel(name = "0 启用 1禁用")
    @TableField("status")
    @ApiModelProperty(value = "0 启用 1禁用")
    private String status;


    /** 驾校班型Id */
    @Excel(name = "公众平台用户Id")
    @TableField("gzpt_user_id")
    @ApiModelProperty(value = "公众平台用户Id")
    private Long gzptUserId;



}
