package com.miaxis.jsgzh.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.jsgzh.mapper.JsgzhUserMapper;
import com.miaxis.jsgzh.domain.JsgzhUser;
import com.miaxis.jsgzh.service.IJsgzhUserService;

/**
 * 极速公众号用户Service业务层处理
 *
 * @author miaxis
 * @date 2021-06-08
 */
@Service
public class JsgzhUserServiceImpl extends ServiceImpl<JsgzhUserMapper, JsgzhUser> implements IJsgzhUserService {
    @Autowired
    private JsgzhUserMapper jsgzhUserMapper;

    /**
     * 查询极速公众号用户列表
     *
     * @param jsgzhUser 极速公众号用户
     * @return 极速公众号用户
     */
    @Override
    public List<JsgzhUser> selectJsgzhUserList(JsgzhUser jsgzhUser){
        return jsgzhUserMapper.selectJsgzhUserList(jsgzhUser);
    }
}
