package com.miaxis.newgzpt.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 视频VIP表
 * </p>
 *
 * @author ${author}
 * @since 2022-01-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("GZPT_VIDEO_VIP")
@ApiModel(value="VideoVip对象", description="视频VIP表")
public class GzptVideoVip implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Long id;

    @ApiModelProperty(value = "用户ID")
    @TableField("USER_ID")
    private Long userId;

    @ApiModelProperty(value = "用户名")
    @TableField("USER_NAME")
    private String userName;


    @ApiModelProperty(value = "科目2  到期时间")
    @TableField("SUBJECT2")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date subject2;

    @ApiModelProperty(value = "科目3  到期时间")
    @TableField("SUBJECT3")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date subject3;


}
