package com.miaxis.order.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 订单信息对象 order_info
 *
 * @author miaxis
 * @date 2022-06-01
 */
@Data
@TableName("order_info")
@ApiModel(value = "OrderInfo", description = "订单信息对象 order_info")
public class OrderInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 商品 */
    @Excel(name = "商品")
    @TableField("goods_name")
    @ApiModelProperty(value = "商品")
    private String goodsName;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 极速驾培订单ID */
    @Excel(name = "极速驾培订单ID")
    @TableField("out_trade_no")
    @ApiModelProperty(value = "极速驾培订单ID")
    private String outTradeNo;

    /** 极速驾培中退款订单ID */
    @Excel(name = "极速驾培中退款订单ID")
    @TableField("out_refund_no")
    @ApiModelProperty(value = "极速驾培中退款订单ID")
    private String outRefundNo;


    /** 总金额*/
    @TableField("total")
    @ApiModelProperty(value = "总金额")
    private Integer total;

    /** 交易状态 1、支付成功2、支付失败*/
    @TableField("trade_type")
    @ApiModelProperty(value = "微信交易状态，枚举值：")
    private Integer tradeType;

    /** 支付完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("success_time")
    @ApiModelProperty(value = "支付完成时间")
    private Date successTime;

    /** 1:微信 2:支付宝 */
    @Excel(name = "1:微信 2:支付宝")
    @TableField("pay_type")
    @ApiModelProperty(value = "1:微信 2:支付宝")
    private Integer payType;



}
