package com.miaxis.param.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.param.mapper.AppParamMapper;
import com.miaxis.param.domain.AppParam;
import com.miaxis.param.service.IAppParamService;

/**
 * 前站控制参数Service业务层处理
 *
 * @author miaxis
 * @date 2021-12-30
 */
@Service
public class AppParamServiceImpl extends ServiceImpl<AppParamMapper, AppParam> implements IAppParamService {
    @Autowired
    private AppParamMapper appParamMapper;

    /**
     * 查询前站控制参数列表
     *
     * @param appParam 前站控制参数
     * @return 前站控制参数
     */
    @Override
    public List<AppParam> selectAppParamList(AppParam appParam){
        return appParamMapper.selectAppParamList(appParam);
    }
}
