package com.miaxis.userInfo.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 会员信息对象 user_vip
 *
 * @author miaxis
 * @date 2022-06-02
 */
@Data
@TableName("user_vip")
@ApiModel(value = "UserVip", description = "会员信息对象 user_vip")
public class UserVip extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Integer id;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 用户姓名 */
    @Excel(name = "用户姓名")
    @TableField("user_name")
    @ApiModelProperty(value = "用户姓名")
    private String userName;

    /** 科目一到时时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "科目一到时时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("subject1")
    @ApiModelProperty(value = "科目一到时时间")
    private Date subject1;

    /** 科目二到时时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "科目二到时时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("subject2")
    @ApiModelProperty(value = "科目二到时时间")
    private Date subject2;

    /** 科目三到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "科目三到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("subject3")
    @ApiModelProperty(value = "科目三到期时间")
    private Date subject3;

    /** 科目四到时时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "科目四到时时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("subject4")
    @ApiModelProperty(value = "科目四到时时间")
    private Date subject4;



}
