package com.miaxis.userInfo.service;

import java.util.List;
import com.miaxis.userInfo.domain.UserVip;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.userInfo.dto.UserVipDTO;

/**
 * 会员信息Service接口
 *
 * @author miaxis
 * @date 2022-06-02
 */
public interface IUserVipService extends IService<UserVip> {
    /**
     * 查询会员信息列表
     *
     * @param userVip 会员信息
     * @return 会员信息集合
     */
    public List<UserVip> selectUserVipList(UserVip userVip);


    public UserVip getUserVipByUserId(Long userId);

    public int removeByUserId(Long userId);
}

