package com.miaxis.wx.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.wx.domain.WxJsOrder;
import com.miaxis.wx.mapper.WxJsOrderMapper;
import com.miaxis.wx.service.IWxJsOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 电影订单Service业务层处理
 *
 * @author miaxis
 * @date 2021-05-07
 */
@Service
@Slf4j
public class WxJsOrderServiceImpl extends ServiceImpl<WxJsOrderMapper, WxJsOrder> implements IWxJsOrderService {

    @Resource
    private WxJsOrderMapper wxJsOrderMapper;


    @Override
    public WxJsOrder getByOutTradeNo(String outTradeNo) {
        return wxJsOrderMapper.getByOutTradeNo(outTradeNo);
    }

    /**
     * 查询订单列表
     *
     * @param wxJsOrder 订单
     * @return 订单
     */
    @Override
    public List<WxJsOrder> selectWxJsOrderList(WxJsOrder wxJsOrder){
        return wxJsOrderMapper.selectWxJsOrderList(wxJsOrder);
    }
}
